<%
   if (request.getParameter("redir_act") != null) {
%>
<jsp:forward page='<%=request.getParameter("pagina")%>'/>
<%
   }
   else if (request.getParameter("redir_dispatcher") != null) {
     RequestDispatcher dispatcher = request.getRequestDispatcher(request.getParameter("pagina")); //OK
     dispatcher.forward(request, response);
   }
   else if (request.getParameter("redir_send_redir") != null)
     response.sendRedirect(request.getParameter("pagina"));
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
	  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns = "http://www.w3.org/1999/xhtml" >
  <head><title>Pagine disponibili per la lezione sulla comunicazione tra JSP</title></head>
  <body>
    <form action="<%=request.getRequestURI()%>" method="post">
      <label>Scegli la pagina che testa:<select name="pagina">
	  <option value="jsp/includes.jsp?includi_con_direttiva=relativo">Inclusione con direttiva e path relativo</option>
	  <option value="jsp/includes.jsp?includi_con_direttiva=assoluto">Inclusione con direttiva e path relativo al contesto</option>
	  <option value="jsp/includes.jsp?includi_con_direttiva=../html_only/da_includere.html">Inclusione con direttiva e path variabile</option>
	  <option value="jsp/includes.jsp?includi_con_azione=../html_only/da_includere.html">Inclusione con azione e path relativo</option>
	  <option value="jsp/includes.jsp?includi_con_azione=/html_only/da_includere.html">Inclusione con azione e path relativo al contesto</option>
	  <option value="jsp/includes.jsp?includi_con_azione=../html_only/da_includere_ma_include_a_sua_volta.html">Inclusione con azione e path relativo (file che ne include un altro)</option>
	  <option value="jsp/includes.jsp?includi_con_azione=/html_only/da_includere_ma_include_a_sua_volta.html">Inclusione con azione e path relativo al contesto (file che ne include un altro)</option>
	  <option value="jsp/includes.jsp?includi_con_azione_e_parametro=giusto.jsp&valore=valore">Inclusione con azione e path relativo, combinato con jsp:param</option>
	  <option value="jsp/includes.jsp?includi_con_azione_e_attributo=giusto.jsp&attributo=qualcosa&valore=valore">Inclusione con azione e path relativo, con attributo</option>
	  <option value="jsp/includes.jsp?includi_con_dispatcher=../html_only/da_includere.html">Inclusione con RequestDispatcher e path relativo</option>
	  <option value="jsp/includes.jsp?includi_con_dispatcher=/html_only/da_includere.html">Inclusione con RequestDispatcher e path relativo al contesto</option>
	  <option value="jsp/includes.jsp?includi_con_dispatcher_e_attributo=giusto.jsp&attributo=qualcosa&valore=valore">Inclusione con RequestDispatcher e path relativo, con attributo</option>
	  <option value="jsp/includes.jsp?includi_sbagliato_con_direttiva">Inclusione con direttiva di un file JSP non ben formato</option>
	  <option value="jsp/includes.jsp?includi_sbagliato_con_azione">Inclusione con azione di un file JSP non ben formato</option>
	  <option value="jsp/includes.jsp?includi_sbagliato_correggendolo_con_direttiva">Inclusione con direttiva di un file JSP non ben formato, correggendolo con la parentesi mancante</option>
	  <option value="jsp/includes.jsp?includi_sbagliato_correggendolo_con_azione">Inclusione con azione di un file JSP non ben formato, correggendolo con la parentesi mancante</option>
	  <option value="jsp/comunicazione.jsp">Comunicazione ai vari scope</option>
	  <option value="jsp/comunicazione2.jsp">Altra pagina per la comunicazione ai vari scope</option>
	  <option value="../teledidattica_web_appl_8_bis/comunicazione.jsp">Comunicazione ai vari scope in altra web application (solo con sendRedirect)</option>
	  <option value="/teledidattica_web_appl_8_bis/comunicazione.jsp">Comunicazione ai vari scope in altra web application (solo con sendRedirect)</option>
	  <option value="../teledidattica_web_appl_8_bis/comunicazione2.jsp">Altra pagina per ai vari scope in altra web application (solo con sendRedirect)</option>
	  <option value="/teledidattica_web_appl_8_bis/comunicazione2.jsp">Altra pagina per ai vari scope in altra web application (solo con sendRedirect)</option>
	</select>
      </label>
      <br/>
      <input type="submit" name="redir_act" value="Vai alla pagina con azione standard"/>
      <input type="submit" name="redir_dispatcher" value="Vai alla pagina con requestDispatcher"/>
      <input type="submit" name="redir_send_redir" value="Vai alla pagina con sendRedirect"/>
    </form>
  </body>
</html>
