<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns = "http://www.w3.org/1999/xhtml" >
<head><title>Test per la comunicazione tra pagine JSP</title></head>
<body>
<%@page import="java.util.*"%>
<h1>Comunicazione tra pagine JSP, senza usare Java Beans</h1>
<%
	if (request.getParameter("Visualizza") != null) {
	    if (request.getParameter("chiave") != null && !request.getParameter("chiave").equals("")) {
		String valore = null;
		if (request.getParameter("tipo").equals("richiesta")) 
		    valore = request.getParameter("valore");
		else if (request.getParameter("tipo").equals("sessione")) 
		    valore = (String)session.getAttribute(request.getParameter("chiave"));
		else if (request.getParameter("tipo").equals("cookie")) {
		    Cookie c[] = request.getCookies();
		    for (int i = 0; i < c.length; i++) {
			if (c[i].getName().equals(request.getParameter("chiave"))) {
			    valore = c[i].getValue();
			    response.addCookie(c[i]);
			}
		    }
		}
		else if (request.getParameter("tipo").equals("applicazione")) 
		    valore = (String)application.getAttribute(request.getParameter("chiave"));
		%>
			     <p>Nella <%= request.getParameter("tipo") %> la chiave <%=request.getParameter("chiave") %> <%= valore != null && !valore.equals("")? ("ha valore " + valore) : "non ha valore"%></p>
		<%
	    }
	    else 
		out.println("<p>&Egrave; necessario fornire la chiave da visualizzare</p>");
	}
	else if (request.getParameter("VisualizzaTutti") != null) {
	    if (request.getParameter("tipo").equals("cookie")) {
		%>
			 <p>Nei cookie ci sono i seguenti abbinamenti chiave-valore:</p>
			 <table border="1">
			   <tr><th>Chiave</th><th>Valore</th></tr>
		<%
		Cookie c[] = request.getCookies();
		for (int i = 0; i < c.length; i++) {
		    out.println("<tr><td>" + c[i].getName() + "</td><td>" + c[i].getValue() + "</td></tr>");
		}
		%>
			 </table>
		<%
	    }
	    else {
		Enumeration all = null;
		if (request.getParameter("tipo").equals("richiesta")) 
		    all = request.getAttributeNames();
		else if (request.getParameter("tipo").equals("sessione")) 
		    all = session.getAttributeNames();
		else if (request.getParameter("tipo").equals("applicazione")) 
		    all = application.getAttributeNames();
		%>
			 <p>Nella <%= request.getParameter("tipo") %> ci sono i seguenti abbinamenti chiave-valore:</p>
			 <table border="1">
			   <tr><th>Chiave</th><th>Valore</th></tr>
		<%
		while (all.hasMoreElements()) {
		    String param = (String)all.nextElement();
		    String value = null;
		    if (request.getParameter("tipo").equals("richiesta")) 
			value = request.getAttribute(param).toString();
		    else if (request.getParameter("tipo").equals("sessione")) 
			value = session.getAttribute(param).toString();
		    else if (request.getParameter("tipo").equals("applicazione")) 
			value = application.getAttribute(param).toString();
		    if (value.length() > 100)
			continue;
		    out.print( "<tr><td>" + param + "</td><td>" + value + "</td></tr>" );
		}
		%>
			 </table>
		<%
	    }
	}
	else if (request.getParameter("Spedisci") != null) {
	    if (request.getParameter("chiave") != null && !request.getParameter("chiave").equals("")) {
		// String valore;
		// if (request.getParameter("tipo").equals("richiesta")) 
		// 	 valore = request.getParameter("valore");
		// else
		if (request.getParameter("tipo").equals("sessione")) 
		    session.setAttribute(request.getParameter("chiave"), request.getParameter("valore"));
		else if (request.getParameter("tipo").equals("cookie")) {
		    response.addCookie(new Cookie(request.getParameter("chiave"), request.getParameter("valore")));
		}
		else if (request.getParameter("tipo").equals("applicazione")) 
		    application.setAttribute(request.getParameter("chiave"), request.getParameter("valore"));
		%>
				 <p>Nella <%= request.getParameter("tipo") %> alla chiave <%=request.getParameter("chiave") %> &egrave; stato assegnato il valore <%= request.getParameter("valore") %></p>
		<%
	    }
	    else 
		out.println("<p>&Egrave; necessario fornire (almeno) la chiave da settare</p>");
	}
	else if (request.getParameter("Cancella") != null) {
	    if (request.getParameter("chiave") != null && !request.getParameter("chiave").equals("")) {
		// if (request.getParameter("tipo").equals("richiesta")) 
		// 	 valore = request.getParameter("valore");
		// else
		if (request.getParameter("tipo").equals("sessione")) 
		    session.removeAttribute(request.getParameter("chiave"));
		else if (request.getParameter("tipo").equals("cookie")) {
		    Cookie c[] = request.getCookies();
		    for (int i = 0; i < c.length; i++) {
			if (c[i].getName().equals(request.getParameter("chiave"))) {
			    c[i].setMaxAge(0);
			    response.addCookie(c[i]);
			}
		    }
		}
		else if (request.getParameter("tipo").equals("applicazione")) 
		    application.removeAttribute(request.getParameter("chiave"));
		if (request.getParameter("tipo").equals("richiesta")) {
		    %>
		    		 <p>Impossibile (o senza senso) cancellare la chiave <%=request.getParameter("chiave") %> dalla richiesta!</p>
		    <%
		}
		else {
		    %>
		    		 <p>Nella <%= request.getParameter("tipo") %> la chiave <%=request.getParameter("chiave") %> &egrave; stata cancellata, oppure non esisteva</p>
		    <%
		}
	    }
	    else 
		out.println("<p>&Egrave; necessario fornire la chiave da cancellare</p>");
	}
%>
<form action="<%=request.getRequestURI()%>"  method="post">
<label>Chiave: <input type="text" name="chiave"/></label><br/>
<label>Valore: <input type="text" name="valore"/></label><br/>
<label><input type="radio" checked="checked" name="tipo" value="richiesta"/>Solo per la richiesta</label><br/>
<label><input type="radio" name="tipo" value="sessione"/>Solo per un dato utente (sessione)</label><br/>
<label><input type="radio" name="tipo" value="cookie"/>Solo per un dato utente (cookie)</label><br/>
<label><input type="radio" name="tipo" value="applicazione"/>Per tutti gli utenti</label><br/>
<input type="submit" value="Spedisci" name="Spedisci"/>
<input type="submit" value="Visualizza" name="Visualizza"/>
<input type="submit" value="Visualizza Tutti" name="VisualizzaTutti"/>
<input type="submit" value="Cancella" name="Cancella"/>
</form>
</body>
</html>
